#
# spec file for package rubygem-os
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-os
Version:        1.1.4
Release:        1.14
%define mod_name os
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/rdp/os
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple and easy way to know if you're on windows or not (reliably),
License:        MIT
Group:          Development/Languages/Ruby

%description
The OS gem allows for some useful and easy functions, like OS.windows? (=>
true or false) OS.bits ( => 32 or 64) etc".

%prep

%build

%install
%gem_install \
  --doc-files="ChangeLog LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.4
  see installed ChangeLog
  1.1.4
    Fix circular dependency
  1.1.2
    Make rss_bytes return bytes in linux/OS X, like it always should have
  1.1.1
    fix skip blank lines in OS#parse_os_release
  1.1.0
    Add app_config_path method
    Cleans up dev dependency specs
    Detect underlying Docker containers method
    Add Linux-specific OS#parse_os_release method
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.1
  see installed ChangeLog
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.0
  see installed ChangeLog
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.0.1
  see installed ChangeLog
  1.0.1
    add within docker method
* Tue Feb 21 2017 coolo@suse.com
- updated to version 1.0.0
  see installed ChangeLog
  0.10.0
    freebsd? also some cleanup
  0.9.7 use same version number in VERSION and os.gemspec
* Sat Jan 14 2017 tampakrap@opensuse.org
- Initial package
